#include <stdio.h>

int main() {

    int L,N;

    scanf("%d", &N);
    scanf("%d", &L);
    
    int H[N];
    for(int i = 0; i < N; i ++ ){
        scanf("%d", &H[i]);
    }
    
    
    int count = 0;
    for(int i = 0; i < N; i++ ){
        if( H[i] <= L ){
            printf("%d", i+1);
            count = 1;
        }
    }    
    
    if( count == 0 )
        printf("%d", -1);

    return 0;
}